export function isObscured(element: any, offset: any): boolean;
export function elementIsInView(element: any, percentX?: number, percentY?: number): boolean;
export function getSelectionPosition(element: any): any[];
export function setSelectionPosition(element: any, [start, end]: [any, any]): void;
export function saveSelection(element: any): () => void;
export function getCaretPosition(element: any): any;
export function setCaretPosition(element: any, position: any): void;
export function saveCaretPosition(element: any): () => void;
export function constrainToScreen(element: any, direction: any, padding: any): boolean;
export function getSitePath(): string;
export function forceRedraw(domNode: any): void;
export function moveToBack(element: any): void;
export function moveToFront(element: any): void;
/**
 * helper for opening links in same or different window depending on origin and
 * meta key state
 */
export function open(url: any, { openInSameWindow, openInBlankWindow, openInSameOrigin, ignoreSiteUrl, ...options }?: {
    openInSameWindow?: ((url: any) => void) | undefined;
    openInBlankWindow?: ((url: any) => void) | undefined;
    openInSameOrigin: any;
    ignoreSiteUrl?: boolean | undefined;
}): void;
export function openInBlankWindow(url: any): void;
export function shouldOpenInBlankWindow(url: any, { event, blank, blankOnMetaOrCtrlKey, blankOnDifferentOrigin, }?: {
    event?: Event | undefined;
    blank?: boolean | undefined;
    blankOnMetaOrCtrlKey?: boolean | undefined;
    blankOnDifferentOrigin?: boolean | undefined;
}): boolean;
export function isSameOrigin(url: any): boolean;
export function isSameOrSiteUrlOrigin(url: any): boolean;
export function getUrlTarget(url: any): "_blank" | "_self";
export function removeAllChildren(element: any): void;
export function parseDataUri(url: any): {
    mimeType: any;
    charset: any;
    data: any;
    base64: any;
} | null;
/**
 * @returns the clip-path CSS property referencing the clip path in the current document, taking into account the <base> tag.
 */
export function clipPathReference(id: any): string;
export function initializeIframeResizer(onReady?: () => void): void;
export function isEventOverElement(event: any, element: any): boolean;
export function isReducedMotionPreferred(): boolean;
/**
 * @returns {HTMLElement | undefined}
 */
export function getMainElement(): HTMLElement | undefined;
export function isSmallScreen(): boolean;
/**
 * Wrapper around window.location is used as we can't override window in jest with jsdom anymore
 * https://github.com/jsdom/jsdom/issues/3492
 */
export function reload(): void;
/**
 * Wrapper around window.location is used as we can't override window in jest with jsdom anymore
 * https://github.com/jsdom/jsdom/issues/3492
 */
export function redirect(url: any): void;
export function openSaveDialog(fileName: any, fileContent: any): void;
export function getScrollX(): number;
export function getScrollY(): number;
export function isWithinIframe(): boolean;
export const IFRAMED_IN_SELF: any;
export function getScrollBarSize(): number;
export const HAS_LOCAL_STORAGE: boolean;
export function getEventTarget(event: any): HTMLElement;
